Main Page Widgets Namespaces Book

# Gtk::Table_Helpers::TableList Class Reference

Inheritance diagram for Gtk::Table_Helpers::TableList:

[legend]

List of all members.

## Public Types

typedef Glib::HelperList < Child, Widget, Glib::List_Iterator<Child >> | type_base

## Public Member Functions

virtual iterator | erase (iterator)
virtual void | erase (iterator start, iterator stop)
virtual GList*& | glist () const
const GtkTable* | gparent () const
GtkTable* | gparent ()
TableList& | operator= (const TableList& src)
reference | operator[] (size_type l) const
| This is order n. (use at own risk).
virtual void | remove (const_reference)
| TableList (const TableList& src)
| TableList (GtkTable* gparent)
| TableList ()
virtual | ~TableList ()

## Protected Member Functions

iterator | insert (iterator position, element_type& e)
void | pop_back ()
void | pop_front ()
virtual void | remove (Widget& w)

## Member Typedef Documentation

typedef Glib::HelperList<Child, Widget, Glib::List_Iterator<Child>> Gtk::Table_Helpers::TableList::type_base

## Constructor & Destructor Documentation

Gtk::Table_Helpers::TableList::TableList | ( |  | ) |

Gtk::Table_Helpers::TableList::TableList | ( | GtkTable * | gparent | ) | `[explicit]`

Gtk::Table_Helpers::TableList::TableList | ( | const TableList& | src | ) |

virtual Gtk::Table_Helpers::TableList::~TableList | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual iterator Gtk::Table_Helpers::TableList::erase | ( | iterator |  | ) | `[virtual]`

virtual void Gtk::Table_Helpers::TableList::erase | ( | iterator | start,
|  | iterator | stop |
| ) |  |  | `[virtual]`

virtual GList*& Gtk::Table_Helpers::TableList::glist | ( |  | ) | const`[virtual]`

Implements Glib::HelperList< T_Child, T_CppElement, T_Iterator >.

const GtkTable* Gtk::Table_Helpers::TableList::gparent | ( |  | ) | const

Reimplemented from Glib::HelperList< T_Child, T_CppElement, T_Iterator >.

GtkTable* Gtk::Table_Helpers::TableList::gparent | ( |  | ) |

Reimplemented from Glib::HelperList< T_Child, T_CppElement, T_Iterator >.

iterator Gtk::Table_Helpers::TableList::insert | ( | iterator | position,
|  | element_type & | e |
| ) |  |  | `[protected]`

TableList& Gtk::Table_Helpers::TableList::operator= | ( | const TableList& | src | ) |

reference Gtk::Table_Helpers::TableList::operator[] | ( | size_type | l | ) | const

This is order n. (use at own risk).

void Gtk::Table_Helpers::TableList::pop_back | ( |  | ) | `[inline, protected]`

Reimplemented from Glib::HelperList< T_Child, T_CppElement, T_Iterator >.

void Gtk::Table_Helpers::TableList::pop_front | ( |  | ) | `[inline, protected]`

Reimplemented from Glib::HelperList< T_Child, T_CppElement, T_Iterator >.

virtual void Gtk::Table_Helpers::TableList::remove | ( | Widget& | w | ) | `[protected, virtual]`

virtual void Gtk::Table_Helpers::TableList::remove | ( | const_reference |  | ) | `[virtual]`

The documentation for this class was generated from the following file:

- gtk/gtkmm/table.h